## org.gnu.gtk
Class ObjectFlags

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.ObjectFlags

public class ObjectFlags
extends org.gnu.glib.Flags

Tells about the state of a GtkObject.

     IN_DESTRUCTION
     The object is currently being destroyed.
     FLOATING
     The object is orphaned.
     RESERVED_1
     Reserved for future use
     RESERVED_2
     Reserved for future use

Field Summary
`static ObjectFlags` `FLOATING`
`static ObjectFlags` `IN_DESTRUCTION`
`static ObjectFlags` `RESERVED_1`
`static ObjectFlags` `RESERVED_2`

Method Summary
`ObjectFlags` `and(ObjectFlags other)`
`static ObjectFlags` `intern(int value)`
`ObjectFlags` `or(ObjectFlags other)`
`boolean` `test(ObjectFlags other)`
`ObjectFlags` `xor(ObjectFlags other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IN_DESTRUCTION

    public static final ObjectFlags IN_DESTRUCTION

### FLOATING

    public static final ObjectFlags FLOATING

### RESERVED_1

    public static final ObjectFlags RESERVED_1

### RESERVED_2

    public static final ObjectFlags RESERVED_2

Method Detail

### intern

    public static ObjectFlags intern(int value)

### or

    public ObjectFlags or(ObjectFlags other)

### and

    public ObjectFlags and(ObjectFlags other)

### xor

    public ObjectFlags xor(ObjectFlags other)

### test

    public boolean test(ObjectFlags other)